+++
title = "2D square finite lattice"
weight = 30
+++

### Interference - Square Finite Lattice

This example demonstrates how to perform a simulation of scattering from cylinders
positioned in a finite square lattice (as opposed to the standard infinite lattice model).

This example is similar to [Interference of a rotated square lattice]({{% ref-py "sample/interference/lattice2d/interference-2d-rotated-square-lattice" %}}).

{{< galleryscg >}}
{{< figscg src="/files/simulated/Interference2DSquareFiniteLattice.png" width="4500px" caption="Intensity image">}}
{{< /galleryscg >}}

{{< highlightfile file="/static/files/python/simulation/ex03_InterferenceFunctions/Interference2DSquareFiniteLattice.py" language="python" >}}
